aboutsummaryrefslogtreecommitdiffstats
path: root/docker/prepare_qtip_image.sh
diff options
context:
space:
mode:
authorwu.zhihui <wu.zhihui1@zte.com.cn>2016-09-23 16:53:55 +0800
committerwu.zhihui <wu.zhihui1@zte.com.cn>2016-09-27 11:20:11 +0800
commit1a2b55736da4d18758f81444933181e380202f60 (patch)
treeb6c0dec37b7989456feb82485aed629333e9af36 /docker/prepare_qtip_image.sh
parent58ac79cd54821bf8c3891d136be4254aa79bfa08 (diff)
code refactor: run_qtip.sh
1. Add prepare_qtip_image.sh to prepare qtip image before qtip test. 2. Add cleanup_qtip_image.sh to clean up qtip image after finishing qtip test. Both of them are invoked in run_qtip.sh Change-Id: Iba892a2e02e31820ed0525f80a4e2885899557e0 Signed-off-by: wu.zhihui <wu.zhihui1@zte.com.cn>
Diffstat (limited to 'docker/prepare_qtip_image.sh')
-rw-r--r--docker/prepare_qtip_image.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/docker/prepare_qtip_image.sh b/docker/prepare_qtip_image.sh
new file mode 100644
index 00000000..4095c806
--- /dev/null
+++ b/docker/prepare_qtip_image.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+IMGNAME='QTIP_CentOS.qcow2'
+IMGPATH='/home/opnfv/imgstore'
+IMGURL='http://build.opnfv.org/artifacts.opnfv.org/qtip/QTIP_CentOS.qcow2'
+
+load_image()
+{
+ if [[ -n $( glance image-list | grep -e QTIP_CentOS) ]]; then
+ return
+ fi
+
+ test -d $IMGPATH || mkdir -p $IMGPATH
+ if [[ ! -f "$IMGPATH/$IMGNAME" ]];then
+ echo
+ echo "========== Downloading QTIP_CentOS image =========="
+ cd $IMGPATH
+ wget -c --progress=dot:giga $IMGURL
+ fi
+
+ echo
+ echo "========== Loading QTIP_CentOS image =========="
+ output=$(glance image-create \
+ --name QTIP_CentOS \
+ --visibility public \
+ --disk-format qcow2 \
+ --container-format bare \
+ --file $IMGPATH/$IMGNAME )
+ echo "$output"
+
+ IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
+
+ if [ -z "$IMAGE_ID" ]; then
+ echo 'Failed uploading QTIP_CentOS image to cloud'.
+ exit 1
+ fi
+
+ echo "QTIP_CentOS image id: $IMAGE_ID"
+}
+
+rm -rf ${QTIP_DIR}/openrc
+
+${REPOS_DIR}/releng/utils/fetch_os_creds.sh \
+-d ${QTIP_DIR}/openrc \
+-i ${INSTALLER_TYPE} \
+-a ${INSTALLER_IP}
+
+source ${QTIP_DIR}/openrc
+
+load_image